<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
   
   <meta name="description" content="FLUBIO - An unstructured, parallel, finite volume Navier-Stokes solver for teaching and research purposes">
    
    <meta name="author" content="Edoardo Alinovi and Joel Guerrero" >
    <link rel="icon" href="../favicon.png">

    <title>value &ndash; FLUBIO</title>

    <link href="../css/bootstrap.min.css" rel="stylesheet">
    <link href="../css/pygments.css" rel="stylesheet">
    <link href="../css/font-awesome.min.css" rel="stylesheet">
    <link href="../css/local.css" rel="stylesheet">
    
    <link  href="../tipuesearch/tipuesearch.css" rel="stylesheet">
    
    

    <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
    <!--[if lt IE 9]>
      <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
      <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->
    
    <script src="../js/jquery-2.1.3.min.js"></script>
    <script src="../js/svg-pan-zoom.min.js"></script>

  </head>

  <body>

    <!-- Fixed navbar -->
    <nav class="navbar navbar-inverse navbar-fixed-top">
      <div class="container">
        <div class="navbar-header">
          <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar" aria-expanded="false" aria-controls="navbar">
            <span class="sr-only">Toggle navigation</span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
          </button>
          <a class="navbar-brand" href="../index.html">FLUBIO </a>
        </div>
        <div id="navbar" class="navbar-collapse collapse">
          <ul class="nav navbar-nav">
        
            <li class="dropdown hidden-xs visible-sm visible-md hidden-lg">
              <a href="#" class="dropdown-toggle"
              data-toggle="dropdown" role="button"
              aria-haspopup="true"
     aria-expanded="false">Contents <span class="caret"></span></a>
        <ul class="dropdown-menu">
          
              
            <li><a href="../lists/files.html">Source Files</a></li>
        
        
        
            <li><a href="../lists/modules.html">Modules</a></li>
        
            
                                
            <li><a href="../lists/procedures.html">Procedures</a></li>
        
               
            <li><a href="../lists/types.html">Derived Types</a></li>
        
        
            <li><a href="../lists/programs.html">Programs</a></li>
               
        
        
            </ul>
        
            </li>


<li class="visible-xs hidden-sm visible-lg"><a href="../lists/files.html">Source Files</a></li>



<li class="visible-xs hidden-sm visible-lg"><a href="../lists/modules.html">Modules</a></li>



<li class="visible-xs hidden-sm visible-lg"><a href="../lists/procedures.html">Procedures</a></li>

                             
<li class="visible-xs hidden-sm visible-lg"><a href="../lists/types.html">Derived Types</a></li>


<li class="visible-xs hidden-sm visible-lg"><a href="../lists/programs.html">Programs</a></li>



          </ul>
        
        <form action="../search.html" class="navbar-form navbar-right" role="search">
        <div class="form-group">
          <input type="text" class="form-control" placeholder="Search" name="q" id="tipue_search_input" autocomplete="off" required>
        </div>
<!--
        <button type="submit" class="btn btn-default">Submit</button>
-->
        </form>
        
        </div><!--/.nav-collapse -->
      </div>
    </nav>

    <div class="container">
    
  
  <div class="row">
    <h1>value
   <small>Interface</small>
    
    </h1>
    
<div class="row">
  <div class="col-lg-12">
<div class="well well-sm">
  <ul class="list-inline" style="margin-bottom:0px;display:inline">
     
     
     
    <li><i class="fa fa-legal"></i> <a rel="license" href="http://creativecommons.org/licenses/by-nc/4.0/"><img alt="Creative Commons License" style="border-width:0" src="https://i.creativecommons.org/l/by-nc/4.0/80x15.png" /></a></li> 
     
     
     
    
    
     <li><i class="fa fa-list-ol"></i>
       <a data-toggle="tooltip"
    data-placement="bottom" data-html="true"
    title="<p> 0.0% of total for procedures.</p>Including implementation: 52 statements,  0.3% of total for procedures.">6 statements</a>
     </li> 
     
     
     
    <li><i class="fa fa-code"></i><a href="../src/stringmod.f03"> Source File</a></li>
     
     
  </ul>
  <ol class="breadcrumb in-well text-right">
  
    
     <li><a href='../sourcefile/stringmod.f03.html'>stringmod.f03</a></li>
    
     <li><a href='../module/strings.html'>strings</a></li>
    
  
     <li class="active">value</li>
  </ol>
</div>
</div>
</div>
<script>
  $(function () {
  $('[data-toggle="tooltip"]').tooltip()
  })
</script>

  </div>
  
  <div class="row">
    <div class="col-md-3 hidden-xs hidden-sm visible-md visible-lg">
      
<div id="sidebar">
  
<h3>Contents</h3>
 




















<div class="panel panel-primary">
  <div class="panel-heading text-left"><h3 class="panel-title"><a data-toggle="collapse" href="#modprocs-0">Module Procedures</a></h3></div>
  <div id="modprocs-0" class="panel-collapse collapse">
    <div class="list-group">
      
      <a class="list-group-item" href="../interface/value.html#moduleprocedure-value_dr">value_dr</a>
      
      <a class="list-group-item" href="../interface/value.html#moduleprocedure-value_sr">value_sr</a>
      
      <a class="list-group-item" href="../interface/value.html#moduleprocedure-value_di">value_di</a>
      
      <a class="list-group-item" href="../interface/value.html#moduleprocedure-value_si">value_si</a>
      
    </div>
  </div>
</div>




</div>

    </div>
    
    <div class="col-md-9" id='text'>
      <h2>public interface value</h2>
   
     
    <div class="panel panel-default">
      <div class="panel-heading">
  <h3 class="panel-title">Calls</h3>
      </div>
      <div class="panel-body">
  <div class="depgraph"><?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: interface~~value~~CallsGraph Pages: 1 -->
<svg id="interfacevalueCallsGraph" width="332pt" height="130pt"
 viewBox="0.00 0.00 332.00 130.22" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="interface~~value~~CallsGraph" class="graph" transform="scale(1 1) rotate(0) translate(4 126.2161)">
<title>interface~~value~~CallsGraph</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-126.2161 328,-126.2161 328,4 -4,4"/>
<!-- interface~value -->
<g id="interface~~value~~CallsGraph_node1" class="node">
<title>interface~value</title>
<polygon fill="none" stroke="#000000" points="54,-87 0,-87 0,-63 54,-63 54,-87"/>
<text text-anchor="middle" x="27" y="-72.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#000000">value</text>
</g>
<!-- proc~value_dr -->
<g id="interface~~value~~CallsGraph_node2" class="node">
<title>proc~value_dr</title>
<g id="a_interface~~value~~CallsGraph_node2"><a xlink:href=".././proc/value_dr.html" xlink:title="value_dr">
<polygon fill="#d9534f" stroke="#d9534f" points="234,-87 180,-87 180,-63 234,-63 234,-87"/>
<text text-anchor="middle" x="207" y="-72.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">value_dr</text>
</a>
</g>
</g>
<!-- interface~value&#45;&gt;proc~value_dr -->
<g id="interface~~value~~CallsGraph_edge1" class="edge">
<title>interface~value&#45;&gt;proc~value_dr</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M40.2761,-87.2962C52.2523,-97.4889 70.8766,-111.2099 90,-117 112.9702,-123.9548 121.0298,-123.9548 144,-117 159.239,-112.386 174.161,-102.7358 185.6546,-93.8481"/>
<polygon fill="#000000" stroke="#000000" points="188.1668,-96.3167 193.7239,-87.2962 183.7544,-90.8824 188.1668,-96.3167"/>
</g>
<!-- proc~value_sr -->
<g id="interface~~value~~CallsGraph_node3" class="node">
<title>proc~value_sr</title>
<g id="a_interface~~value~~CallsGraph_node3"><a xlink:href=".././proc/value_sr.html" xlink:title="value_sr">
<polygon fill="#d9534f" stroke="#d9534f" points="144,-108 90,-108 90,-84 144,-84 144,-108"/>
<text text-anchor="middle" x="117" y="-93.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">value_sr</text>
</a>
</g>
</g>
<!-- interface~value&#45;&gt;proc~value_sr -->
<g id="interface~~value~~CallsGraph_edge2" class="edge">
<title>interface~value&#45;&gt;proc~value_sr</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M54.003,-81.3007C62.1158,-83.1937 71.1631,-85.3047 79.8131,-87.323"/>
<polygon fill="#000000" stroke="#000000" points="79.1713,-90.7672 89.705,-89.6312 80.7619,-83.9504 79.1713,-90.7672"/>
</g>
<!-- proc~value_di -->
<g id="interface~~value~~CallsGraph_node4" class="node">
<title>proc~value_di</title>
<g id="a_interface~~value~~CallsGraph_node4"><a xlink:href=".././proc/value_di.html" xlink:title="value_di">
<polygon fill="#d9534f" stroke="#d9534f" points="144,-66 90,-66 90,-42 144,-42 144,-66"/>
<text text-anchor="middle" x="117" y="-51.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">value_di</text>
</a>
</g>
</g>
<!-- interface~value&#45;&gt;proc~value_di -->
<g id="interface~~value~~CallsGraph_edge3" class="edge">
<title>interface~value&#45;&gt;proc~value_di</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M54.003,-68.6993C62.1158,-66.8063 71.1631,-64.6953 79.8131,-62.677"/>
<polygon fill="#000000" stroke="#000000" points="80.7619,-66.0496 89.705,-60.3688 79.1713,-59.2328 80.7619,-66.0496"/>
</g>
<!-- proc~value_si -->
<g id="interface~~value~~CallsGraph_node5" class="node">
<title>proc~value_si</title>
<g id="a_interface~~value~~CallsGraph_node5"><a xlink:href=".././proc/value_si.html" xlink:title="value_si">
<polygon fill="#d9534f" stroke="#d9534f" points="144,-24 90,-24 90,0 144,0 144,-24"/>
<text text-anchor="middle" x="117" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">value_si</text>
</a>
</g>
</g>
<!-- interface~value&#45;&gt;proc~value_si -->
<g id="interface~~value~~CallsGraph_edge4" class="edge">
<title>interface~value&#45;&gt;proc~value_si</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M44.3529,-62.853C57.6752,-53.5274 76.2758,-40.5069 91.3202,-29.9759"/>
<polygon fill="#000000" stroke="#000000" points="93.5152,-32.7117 99.7004,-24.1097 89.5009,-26.9771 93.5152,-32.7117"/>
</g>
<!-- proc~is_digit -->
<g id="interface~~value~~CallsGraph_node6" class="node">
<title>proc~is_digit</title>
<g id="a_interface~~value~~CallsGraph_node6"><a xlink:href=".././proc/is_digit.html" xlink:title="is_digit">
<polygon fill="#d94e8f" stroke="#d94e8f" points="324,-87 270,-87 270,-63 324,-63 324,-87"/>
<text text-anchor="middle" x="297" y="-72.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">is_digit</text>
</a>
</g>
</g>
<!-- proc~value_dr&#45;&gt;proc~is_digit -->
<g id="interface~~value~~CallsGraph_edge5" class="edge">
<title>proc~value_dr&#45;&gt;proc~is_digit</title>
<path fill="none" stroke="#000000" d="M234.003,-75C242.0277,-75 250.9665,-75 259.5309,-75"/>
<polygon fill="#000000" stroke="#000000" points="259.7051,-78.5001 269.705,-75 259.705,-71.5001 259.7051,-78.5001"/>
</g>
<!-- proc~value_sr&#45;&gt;proc~value_dr -->
<g id="interface~~value~~CallsGraph_edge6" class="edge">
<title>proc~value_sr&#45;&gt;proc~value_dr</title>
<path fill="none" stroke="#000000" d="M144.003,-89.6993C152.1158,-87.8063 161.1631,-85.6953 169.8131,-83.677"/>
<polygon fill="#000000" stroke="#000000" points="170.7619,-87.0496 179.705,-81.3688 169.1713,-80.2328 170.7619,-87.0496"/>
</g>
<!-- proc~value_di&#45;&gt;proc~value_dr -->
<g id="interface~~value~~CallsGraph_edge7" class="edge">
<title>proc~value_di&#45;&gt;proc~value_dr</title>
<path fill="none" stroke="#000000" d="M144.003,-60.3007C152.1158,-62.1937 161.1631,-64.3047 169.8131,-66.323"/>
<polygon fill="#000000" stroke="#000000" points="169.1713,-69.7672 179.705,-68.6312 170.7619,-62.9504 169.1713,-69.7672"/>
</g>
<!-- proc~value_si&#45;&gt;proc~value_dr -->
<g id="interface~~value~~CallsGraph_edge8" class="edge">
<title>proc~value_si&#45;&gt;proc~value_dr</title>
<path fill="none" stroke="#000000" d="M134.3529,-24.147C147.6752,-33.4726 166.2758,-46.4931 181.3202,-57.0241"/>
<polygon fill="#000000" stroke="#000000" points="179.5009,-60.0229 189.7004,-62.8903 183.5152,-54.2883 179.5009,-60.0229"/>
</g>
</g>
</svg>
</div><div><a type="button" class="graph-help" data-toggle="modal" href="#graph-help-text">Help</a></div><div class="modal fade" id="graph-help-text" tabindex="-1" role="dialog"><div class="modal-dialog modal-lg" role="document"><div class="modal-content"><div class="modal-header"><button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button><h4 class="modal-title" id="-graph-help-label">Graph Key</h4></div><div class="modal-body">
    <p>Nodes of different colours represent the following: </p>
    <?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: Graph Key Pages: 1 -->
<svg width="558pt" height="32pt"
 viewBox="0.00 0.00 557.50 32.00" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="graph0" class="graph" transform="scale(1 1) rotate(0) translate(4 28)">
<title>Graph Key</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-28 553.5,-28 553.5,4 -4,4"/>
<!-- Subroutine -->
<g id="node1" class="node">
<title>Subroutine</title>
<polygon fill="#d9534f" stroke="#d9534f" points="64,-24 0,-24 0,0 64,0 64,-24"/>
<text text-anchor="middle" x="32" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Subroutine</text>
</g>
<!-- Function -->
<g id="node2" class="node">
<title>Function</title>
<polygon fill="#d94e8f" stroke="#d94e8f" points="136,-24 82,-24 82,0 136,0 136,-24"/>
<text text-anchor="middle" x="109" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Function</text>
</g>
<!-- Interface -->
<g id="node3" class="node">
<title>Interface</title>
<polygon fill="#a7506f" stroke="#a7506f" points="209.5,-24 154.5,-24 154.5,0 209.5,0 209.5,-24"/>
<text text-anchor="middle" x="182" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Interface</text>
</g>
<!-- Unknown Procedure Type -->
<g id="node4" class="node">
<title>Unknown Procedure Type</title>
<polygon fill="#777777" stroke="#777777" points="362,-24 228,-24 228,0 362,0 362,-24"/>
<text text-anchor="middle" x="295" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Unknown Procedure Type</text>
</g>
<!-- Program -->
<g id="node5" class="node">
<title>Program</title>
<polygon fill="#f0ad4e" stroke="#f0ad4e" points="434,-24 380,-24 380,0 434,0 434,-24"/>
<text text-anchor="middle" x="407" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Program</text>
</g>
<!-- This Page&#39;s Entity -->
<g id="node6" class="node">
<title>This Page&#39;s Entity</title>
<polygon fill="none" stroke="#000000" points="549.5,-24 452.5,-24 452.5,0 549.5,0 549.5,-24"/>
<text text-anchor="middle" x="501" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#000000">This Page&#39;s Entity</text>
</g>
</g>
</svg>

    
    <p>Solid arrows point from a procedure to one which it calls. Dashed 
    arrows point from an interface to procedures which implement that interface.
    This could include the module procedures in a generic interface or the
    implementation in a submodule of an interface in a parent module.
    </p>
    </div></div></div></div>
      </div>
    </div>
     
     
    <br>

     <section class="visible-xs visible-sm hidden-md">
       
<h3>Contents</h3>
 




















<div class="panel panel-primary">
  <div class="panel-heading text-left"><h3 class="panel-title"><a data-toggle="collapse" href="#modprocs-1">Module Procedures</a></h3></div>
  <div id="modprocs-1" class="panel-collapse collapse">
    <div class="list-group">
      
      <a class="list-group-item" href="../interface/value.html#moduleprocedure-value_dr">value_dr</a>
      
      <a class="list-group-item" href="../interface/value.html#moduleprocedure-value_sr">value_sr</a>
      
      <a class="list-group-item" href="../interface/value.html#moduleprocedure-value_di">value_di</a>
      
      <a class="list-group-item" href="../interface/value.html#moduleprocedure-value_si">value_si</a>
      
    </div>
  </div>
</div>




     </section>
     <br class="visible-xs visible-sm hidden-md">
     
  

  

  
   <h2>Module Procedures</h2>
   
    
  <div class="panel panel-default">
  <div class="panel-heading codesum"><span class="anchor" id="proc-value_dr"></span><h3>
private subroutine <a href='../proc/value_dr.html'>value_dr</a>(str, rnum, ios)
    
    
   
</h3></div>
  <div class="panel-body">
       
    
    
    <h4>Arguments</h4>
    
      
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>character(len=*)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>str</strong></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>real(kind=kr8)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>rnum</strong></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>integer</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>ios</strong></td><td></td>
  
</tr>

</tbody>
</table>

      
    
    

  </div>
  </div>

   
    
  <div class="panel panel-default">
  <div class="panel-heading codesum"><span class="anchor" id="proc-value_sr"></span><h3>
private subroutine <a href='../proc/value_sr.html'>value_sr</a>(str, rnum, ios)
    
    
   
</h3></div>
  <div class="panel-body">
       
    
    
    <h4>Arguments</h4>
    
      
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>character(len=*)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>str</strong></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>real(kind=kr4)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>rnum</strong></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>integer</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>ios</strong></td><td></td>
  
</tr>

</tbody>
</table>

      
    
    

  </div>
  </div>

   
    
  <div class="panel panel-default">
  <div class="panel-heading codesum"><span class="anchor" id="proc-value_di"></span><h3>
private subroutine <a href='../proc/value_di.html'>value_di</a>(str, inum, ios)
    
    
   
</h3></div>
  <div class="panel-body">
       
    
    
    <h4>Arguments</h4>
    
      
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>character(len=*)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>str</strong></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>integer(kind=ki8)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>inum</strong></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>integer</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>ios</strong></td><td></td>
  
</tr>

</tbody>
</table>

      
    
    

  </div>
  </div>

   
    
  <div class="panel panel-default">
  <div class="panel-heading codesum"><span class="anchor" id="proc-value_si"></span><h3>
private subroutine <a href='../proc/value_si.html'>value_si</a>(str, inum, ios)
    
    
   
</h3></div>
  <div class="panel-body">
       
    
    
    <h4>Arguments</h4>
    
      
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>character(len=*)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>str</strong></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>integer(kind=ki4)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>inum</strong></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>integer</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>ios</strong></td><td></td>
  
</tr>

</tbody>
</table>

      
    
    

  </div>
  </div>

   
     

 </div>
</div>


    <hr>    
    </div> <!-- /container -->
    <footer>
      <div class="container">
      <div class="row">
        <div class="col-xs-6 col-md-6"><p>FLUBIO was developed by Edoardo Alinovi and Joel Guerrero<br>&copy; 2021 <a rel="license" href="http://creativecommons.org/licenses/by-nc/4.0/"><img alt="Creative Commons License" style="border-width:0" src="https://i.creativecommons.org/l/by-nc/4.0/80x15.png" /></a>
                                          </p>
        </div>
        <div class="col-xs-6 col-md-6">
          <p class="text-right">
            Documentation generated by 
            <a href="https://github.com/Fortran-FOSS-Programmers/ford">FORD</a>
            
            
          </p>
        </div>
      </div>
      <br>
      </div> <!-- /container -->    
    </footer>

    <!-- Bootstrap core JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
<!--
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.1/jquery.min.js"></script>
-->
    <script src="../js/bootstrap.min.js"></script>
    <!-- IE10 viewport hack for Surface/desktop Windows 8 bug -->
    <script src="../js/ie10-viewport-bug-workaround.js"></script>

    <!-- MathJax JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
    <script type="text/x-mathjax-config">
      MathJax.Hub.Config({
        TeX: { extensions: ['AMSmath.js','AMSsymbols.js','noErrors.js','noUndefined.js'], equationNumbers: { autoNumber: 'AMS' } },
        jax: ['input/TeX','input/MathML','output/HTML-CSS'],
        extensions: ['tex2jax.js','mml2jax.js','MathMenu.js','MathZoom.js']
      });
    </script>
    
    <script src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.1/MathJax.js?config=TeX-AMS-MML_HTMLorMML"></script>
    
    
    <script src="../tipuesearch/tipuesearch_content.js"></script>
    <script src="../tipuesearch/tipuesearch_set.js"></script>
    <script src="../tipuesearch/tipuesearch.js"></script>
    
    
  </body>
</html>